package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.segmentation.OcrVersionApi;
import com.docus.server.dto.segmentation.ocrversion.AddOcrVersionDTO;
import com.docus.server.dto.segmentation.ocrversion.DeleteOcrVersionDTO;
import com.docus.server.dto.segmentation.ocrversion.EditOcrVersionDTO;
import com.docus.server.service.IOcrVersionService;
import com.docus.server.vo.segmentation.ocrversion.OcrVersionVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 正式数据版本号管理 控制器类
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Api(value = "正式数据版本号管理", tags = "正式数据版本号管理")
@RestController
public class OcrVersionController implements OcrVersionApi {
    @Resource
    private IOcrVersionService iOcrVersionService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @ApiOperation("按主键查询")
    @Override
    public OcrVersionVO findById(Long id) {
        return iOcrVersionService.findById(id);
    }

    /**
     * 查询所有
     *
     * @return 实体
     */
    @ApiOperation("查询所有")
    @Override
    public List<OcrVersionVO> findAll() {
        return iOcrVersionService.findAll();
    }

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    @ApiOperation("关键字搜索")
    @Override
    public PageResult<OcrVersionVO> search(SearchDTO searchDTO) {
        return iOcrVersionService.search(searchDTO);
    }

    /**
     * 新增
     *
     * @param addOcrVersionDTO 编辑参数
     */
    @ApiOperation("新增")
    @Override
    public void add(AddOcrVersionDTO addOcrVersionDTO) {
        iOcrVersionService.add(addOcrVersionDTO);
    }

    /**
     * 编辑
     *
     * @param editOcrVersionDTO 编辑参数
     */
    @ApiOperation("编辑")
    @Override
    public void edit(EditOcrVersionDTO editOcrVersionDTO) {
        iOcrVersionService.edit(editOcrVersionDTO);
    }

    /**
     * 批量删除
     *
     * @param deleteOcrVersionDTO 删除参数
     * @return 成功或失败
     */
    @ApiOperation("批量删除")
    @Override
    public int delete(DeleteOcrVersionDTO deleteOcrVersionDTO) {
        return iOcrVersionService.delete(deleteOcrVersionDTO);
    }
}
